using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace PARR.Domain.Entities
{
    [Table("UsersInRoles")]
    [PrimaryKey(nameof(RoleId), nameof(UserId))]
    public class UsersInRole
    {
        public Guid RoleId { get; set; }

        public Guid UserId { get; set; }

        [ForeignKey(nameof(RoleId))]
        public Role? Role { get; set; }

        [ForeignKey(nameof(UserId))]
        public User? User { get; set; }
    }
}
